haxr-3000.11.6: XML-RPC client and server library.

Safe Haskell | None
Language | Haskell2010

Network.XmlRpc.DTD_XMLRPC

# Documentation

newtype I4 Source #

Constructors

I4 String |

#### Instances

Instances details

HTypeable I4 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: I4 -> HType Source #
XmlContent I4 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser I4 Source # toContents :: I4 -> [Content ()] Source # xToChar :: I4 -> Char Source # xFromChar :: Char -> I4 Source #
Show I4 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> I4 -> ShowS Source # show :: I4 -> String Source # showList :: [I4] -> ShowS Source #
Eq I4 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: I4 -> I4 -> Bool Source # (/=) :: I4 -> I4 -> Bool Source #

newtype I8 Source #

Constructors

I8 String |

#### Instances

Instances details

HTypeable I8 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: I8 -> HType Source #
XmlContent I8 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser I8 Source # toContents :: I8 -> [Content ()] Source # xToChar :: I8 -> Char Source # xFromChar :: Char -> I8 Source #
Show I8 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> I8 -> ShowS Source # show :: I8 -> String Source # showList :: [I8] -> ShowS Source #
Eq I8 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: I8 -> I8 -> Bool Source # (/=) :: I8 -> I8 -> Bool Source #

newtype AInt Source #

Constructors

AInt String |

#### Instances

Instances details

HTypeable AInt Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: AInt -> HType Source #
XmlContent AInt Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser AInt Source # toContents :: AInt -> [Content ()] Source # xToChar :: AInt -> Char Source # xFromChar :: Char -> AInt Source #
Show AInt Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> AInt -> ShowS Source # show :: AInt -> String Source # showList :: [AInt] -> ShowS Source #
Eq AInt Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: AInt -> AInt -> Bool Source # (/=) :: AInt -> AInt -> Bool Source #

newtype Boolean Source #

Constructors

Boolean String |

#### Instances

Instances details

HTypeable Boolean Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Boolean -> HType Source #
XmlContent Boolean Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Boolean Source # toContents :: Boolean -> [Content ()] Source # xToChar :: Boolean -> Char Source # xFromChar :: Char -> Boolean Source #
Show Boolean Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Boolean -> ShowS Source # show :: Boolean -> String Source # showList :: [Boolean] -> ShowS Source #
Eq Boolean Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Boolean -> Boolean -> Bool Source # (/=) :: Boolean -> Boolean -> Bool Source #

newtype AString Source #

Constructors

AString String |

#### Instances

Instances details

HTypeable AString Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: AString -> HType Source #
XmlContent AString Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser AString Source # toContents :: AString -> [Content ()] Source # xToChar :: AString -> Char Source # xFromChar :: Char -> AString Source #
Show AString Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> AString -> ShowS Source # show :: AString -> String Source # showList :: [AString] -> ShowS Source #
Eq AString Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: AString -> AString -> Bool Source # (/=) :: AString -> AString -> Bool Source #

newtype ADouble Source #

Constructors

ADouble String |

#### Instances

Instances details

HTypeable ADouble Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: ADouble -> HType Source #
XmlContent ADouble Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser ADouble Source # toContents :: ADouble -> [Content ()] Source # xToChar :: ADouble -> Char Source # xFromChar :: Char -> ADouble Source #
Show ADouble Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> ADouble -> ShowS Source # show :: ADouble -> String Source # showList :: [ADouble] -> ShowS Source #
Eq ADouble Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: ADouble -> ADouble -> Bool Source # (/=) :: ADouble -> ADouble -> Bool Source #

newtype DateTime_iso8601 Source #

Constructors

DateTime_iso8601 String |

#### Instances

Instances details

HTypeable DateTime_iso8601 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: DateTime_iso8601 -> HType Source #
XmlContent DateTime_iso8601 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser DateTime_iso8601 Source # toContents :: DateTime_iso8601 -> [Content ()] Source # xToChar :: DateTime_iso8601 -> Char Source # xFromChar :: Char -> DateTime_iso8601 Source #
Show DateTime_iso8601 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> DateTime_iso8601 -> ShowS Source # show :: DateTime_iso8601 -> String Source # showList :: [DateTime_iso8601] -> ShowS Source #
Eq DateTime_iso8601 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: DateTime_iso8601 -> DateTime_iso8601 -> Bool Source # (/=) :: DateTime_iso8601 -> DateTime_iso8601 -> Bool Source #

newtype Base64 Source #

Constructors

Base64 String |

#### Instances

Instances details

HTypeable Base64 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Base64 -> HType Source #
XmlContent Base64 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Base64 Source # toContents :: Base64 -> [Content ()] Source # xToChar :: Base64 -> Char Source # xFromChar :: Char -> Base64 Source #
Show Base64 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Base64 -> ShowS Source # show :: Base64 -> String Source # showList :: [Base64] -> ShowS Source #
Eq Base64 Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Base64 -> Base64 -> Bool Source # (/=) :: Base64 -> Base64 -> Bool Source #

newtype Data Source #

Constructors

Data [Value] |

#### Instances

Instances details

HTypeable Data Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Data -> HType Source #
XmlContent Data Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Data Source # toContents :: Data -> [Content ()] Source # xToChar :: Data -> Char Source # xFromChar :: Char -> Data Source #
Show Data Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Data -> ShowS Source # show :: Data -> String Source # showList :: [Data] -> ShowS Source #
Eq Data Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Data -> Data -> Bool Source # (/=) :: Data -> Data -> Bool Source #

newtype Array Source #

Constructors

Array Data |

#### Instances

Instances details

HTypeable Array Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Array -> HType Source #
XmlContent Array Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Array Source # toContents :: Array -> [Content ()] Source # xToChar :: Array -> Char Source # xFromChar :: Char -> Array Source #
Show Array Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Array -> ShowS Source # show :: Array -> String Source # showList :: [Array] -> ShowS Source #
Eq Array Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Array -> Array -> Bool Source # (/=) :: Array -> Array -> Bool Source #

newtype Name Source #

Constructors

Name String |

#### Instances

Instances details

HTypeable Name Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Name -> HType Source #
XmlContent Name Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Name Source # toContents :: Name -> [Content ()] Source # xToChar :: Name -> Char Source # xFromChar :: Char -> Name Source #
Show Name Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Name -> ShowS Source # show :: Name -> String Source # showList :: [Name] -> ShowS Source #
Eq Name Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Name -> Name -> Bool Source # (/=) :: Name -> Name -> Bool Source #

data Member Source #

Constructors

Member Name Value |

#### Instances

Instances details

HTypeable Member Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Member -> HType Source #
XmlContent Member Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Member Source # toContents :: Member -> [Content ()] Source # xToChar :: Member -> Char Source # xFromChar :: Char -> Member Source #
Show Member Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Member -> ShowS Source # show :: Member -> String Source # showList :: [Member] -> ShowS Source #
Eq Member Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Member -> Member -> Bool Source # (/=) :: Member -> Member -> Bool Source #

newtype Struct Source #

Constructors

Struct [Member] |

#### Instances

Instances details

HTypeable Struct Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Struct -> HType Source #
XmlContent Struct Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Struct Source # toContents :: Struct -> [Content ()] Source # xToChar :: Struct -> Char Source # xFromChar :: Char -> Struct Source #
Show Struct Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Struct -> ShowS Source # show :: Struct -> String Source # showList :: [Struct] -> ShowS Source #
Eq Struct Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Struct -> Struct -> Bool Source # (/=) :: Struct -> Struct -> Bool Source #

newtype Nil Source #

Constructors

Nil () |

#### Instances

Instances details

HTypeable Nil Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Nil -> HType Source #
XmlContent Nil Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Nil Source # toContents :: Nil -> [Content ()] Source # xToChar :: Nil -> Char Source # xFromChar :: Char -> Nil Source #
Show Nil Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Nil -> ShowS Source # show :: Nil -> String Source # showList :: [Nil] -> ShowS Source #
Eq Nil Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Nil -> Nil -> Bool Source # (/=) :: Nil -> Nil -> Bool Source #

newtype Value Source #

Constructors

Value [Value_] |

#### Instances

Instances details

HTypeable Value Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Value -> HType Source #
XmlContent Value Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Value Source # toContents :: Value -> [Content ()] Source # xToChar :: Value -> Char Source # xFromChar :: Char -> Value Source #
Show Value Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Value -> ShowS Source # show :: Value -> String Source # showList :: [Value] -> ShowS Source #
Eq Value Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Value -> Value -> Bool Source # (/=) :: Value -> Value -> Bool Source #

data Value_ Source #

Constructors

Value_Str String |
Value_I4 I4 |
Value_I8 I8 |
Value_AInt AInt |
Value_Boolean Boolean |
Value_AString AString |
Value_DateTime_iso8601 DateTime_iso8601 |
Value_ADouble ADouble |
Value_Base64 Base64 |
Value_Struct Struct |
Value_Array Array |
Value_Nil Nil |

#### Instances

Instances details

HTypeable Value_ Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Value_ -> HType Source #
XmlContent Value_ Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Value_ Source # toContents :: Value_ -> [Content ()] Source # xToChar :: Value_ -> Char Source # xFromChar :: Char -> Value_ Source #
Show Value_ Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Value_ -> ShowS Source # show :: Value_ -> String Source # showList :: [Value_] -> ShowS Source #
Eq Value_ Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Value_ -> Value_ -> Bool Source # (/=) :: Value_ -> Value_ -> Bool Source #

newtype Param Source #

Constructors

Param Value |

#### Instances

Instances details

HTypeable Param Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Param -> HType Source #
XmlContent Param Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Param Source # toContents :: Param -> [Content ()] Source # xToChar :: Param -> Char Source # xFromChar :: Char -> Param Source #
Show Param Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Param -> ShowS Source # show :: Param -> String Source # showList :: [Param] -> ShowS Source #
Eq Param Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Param -> Param -> Bool Source # (/=) :: Param -> Param -> Bool Source #

newtype Params Source #

Constructors

Params [Param] |

#### Instances

Instances details

HTypeable Params Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Params -> HType Source #
XmlContent Params Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Params Source # toContents :: Params -> [Content ()] Source # xToChar :: Params -> Char Source # xFromChar :: Char -> Params Source #
Show Params Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Params -> ShowS Source # show :: Params -> String Source # showList :: [Params] -> ShowS Source #
Eq Params Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Params -> Params -> Bool Source # (/=) :: Params -> Params -> Bool Source #

newtype MethodName Source #

Constructors

MethodName String |

#### Instances

Instances details

HTypeable MethodName Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: MethodName -> HType Source #
XmlContent MethodName Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser MethodName Source # toContents :: MethodName -> [Content ()] Source # xToChar :: MethodName -> Char Source # xFromChar :: Char -> MethodName Source #
Show MethodName Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> MethodName -> ShowS Source # show :: MethodName -> String Source # showList :: [MethodName] -> ShowS Source #
Eq MethodName Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: MethodName -> MethodName -> Bool Source # (/=) :: MethodName -> MethodName -> Bool Source #

data MethodCall Source #

Constructors

MethodCall MethodName (Maybe Params) |

#### Instances

Instances details

HTypeable MethodCall Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: MethodCall -> HType Source #
XmlContent MethodCall Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser MethodCall Source # toContents :: MethodCall -> [Content ()] Source # xToChar :: MethodCall -> Char Source # xFromChar :: Char -> MethodCall Source #
Show MethodCall Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> MethodCall -> ShowS Source # show :: MethodCall -> String Source # showList :: [MethodCall] -> ShowS Source #
Eq MethodCall Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: MethodCall -> MethodCall -> Bool Source # (/=) :: MethodCall -> MethodCall -> Bool Source #

newtype Fault Source #

Constructors

Fault Value |

#### Instances

Instances details

HTypeable Fault Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: Fault -> HType Source #
XmlContent Fault Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser Fault Source # toContents :: Fault -> [Content ()] Source # xToChar :: Fault -> Char Source # xFromChar :: Char -> Fault Source #
Show Fault Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> Fault -> ShowS Source # show :: Fault -> String Source # showList :: [Fault] -> ShowS Source #
Eq Fault Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: Fault -> Fault -> Bool Source # (/=) :: Fault -> Fault -> Bool Source #

data MethodResponse Source #

Constructors

MethodResponseParams Params |
MethodResponseFault Fault |

#### Instances

Instances details

HTypeable MethodResponse Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods toHType :: MethodResponse -> HType Source #
XmlContent MethodResponse Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods parseContents :: XMLParser MethodResponse Source # toContents :: MethodResponse -> [Content ()] Source # xToChar :: MethodResponse -> Char Source # xFromChar :: Char -> MethodResponse Source #
Show MethodResponse Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods showsPrec :: Int -> MethodResponse -> ShowS Source # show :: MethodResponse -> String Source # showList :: [MethodResponse] -> ShowS Source #
Eq MethodResponse Source # |
Instance details Defined in Network.XmlRpc.DTD_XMLRPC Methods (==) :: MethodResponse -> MethodResponse -> Bool Source # (/=) :: MethodResponse -> MethodResponse -> Bool Source #